package com.ynet.life.credit.business;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.credit.util.ReflectUtil;
import com.ynet.life.credit.vo.output.CreditOutVo;
import com.ynet.life.credit.vo.output.OutBaseVo;
import com.ynet.life.exception.TranFailException;
import freemarker.template.Configuration;
import freemarker.template.Template;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileOutputStream;
import java.io.OutputStreamWriter;
import java.io.Writer;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_ynet_life_credit_business.jar:com/ynet/life/credit/business/DownloadCreditReport.class */
public class DownloadCreditReport extends BaseApiExcutor<OutBaseVo> {
    private String jsonDataName;

    @Override // com.ynet.life.credit.business.BaseApiExcutor
    public String execute(Context context) throws GENEException {
        try {
            String str = (String) context.getDataValue(this.jsonDataName);
            if (StringUtils.isBlank(str)) {
                TranFailException tfe = new TranFailException("400", "下载失败", false);
                context.put("GENEException", tfe);
                throw tfe;
            }
            String cname = (String) context.get("legalName");
            String cphone = (String) context.get("legalPhone");
            String branchName = (String) context.get("branchName");
            String userName = (String) context.get("userName");
            String reportNo = (String) context.get("reportNo");
            String type = (String) context.get("type");
            String bFlag = (String) context.get("bFlag");
            String sFlag = (String) context.get("sFlag");
            String mFlag = (String) context.get("mFlag");
            String fFlag = (String) context.get("fFlag");
            String msFlag = (String) context.get("msFlag");
            String lFlag = (String) context.get("lFlag");
            String nFlag = (String) context.get("nFlag");
            String cFlag = (String) context.get("cFlag");
            Map<String, String> flagMap = new HashMap<>();
            flagMap.put("bFlag", bFlag);
            flagMap.put("sFlag", sFlag);
            flagMap.put("mFlag", mFlag);
            flagMap.put("fFlag", fFlag);
            flagMap.put("msFlag", msFlag);
            flagMap.put("lFlag", lFlag);
            flagMap.put("nFlag", nFlag);
            flagMap.put("cFlag", cFlag);
            if (cname == null) {
                cname = "";
            }
            if (cphone == null) {
                cphone = "";
            }
            if (branchName == null) {
                branchName = "";
            }
            if (userName == null) {
                userName = "";
            }
            if (reportNo == null) {
                reportNo = "";
            }
            if (str != null && str != "") {
                CreditOutVo outList = (CreditOutVo) parseStringToObject(str, CreditOutVo.class);
                String name = outList.getD2_corp_name();
                HashMap<Object, Object> dataMap = getAllFields(outList, flagMap);
                String uploadFilePath = LifeStandard.getSelfDefineSettingsValue("tempDownloadDir");
                dataMap.put("contactName", cname);
                dataMap.put("contactPhone", cphone);
                dataMap.put("branchName", branchName);
                dataMap.put("userName", userName);
                dataMap.put("reportNo", reportNo);
                if ("1".equals(type)) {
                    createWord(dataMap, "IndustryCommercialReport.ftl", uploadFilePath, String.valueOf(name) + ".doc");
                    return "0";
                }
                createWord(dataMap, "CreditReport1.ftl", uploadFilePath, String.valueOf(name) + ".doc");
                return "0";
            }
            return "0";
        } catch (Exception unused) {
            TranFailException tranFailException = new TranFailException("400", "下载失败", false);
            context.put("GENEException", tranFailException);
            throw tranFailException;
        }
    }

    public static void createWord(HashMap map, String templateName, String filePath, String fileName) throws Exception {
        Configuration configuration = new Configuration(Configuration.VERSION_2_3_23);
        configuration.setEncoding(Locale.getDefault(), "UTF-8");
        configuration.setClassForTemplateLoading(DownloadCreditReport.class, "/com/ynet/life/credit/business/");
        Template template = configuration.getTemplate(templateName);
        File outFile = new File(String.valueOf(filePath) + File.separator + fileName);
        if (!outFile.getParentFile().exists()) {
            outFile.getParentFile().mkdirs();
        }
        FileOutputStream outputStream = new FileOutputStream(outFile);
        Writer out = new BufferedWriter(new OutputStreamWriter(outputStream, "UTF-8"));
        template.process(map, out);
        out.flush();
        out.close();
        System.out.println("执行完成");
    }

    public String getJsonDataName() {
        return this.jsonDataName;
    }

    public void setJsonDataName(String jsonDataName) {
        this.jsonDataName = jsonDataName;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v39, types: [java.lang.Object] */
    /* JADX WARN: Type inference failed for: r0v40, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v41, types: [java.lang.SecurityException] */
    /* JADX WARN: Type inference failed for: r0v47 */
    /* JADX WARN: Type inference failed for: r0v52 */
    /* JADX WARN: Type inference failed for: r0v58, types: [boolean] */
    private HashMap<Object, Object> getAllFields(Object obj, Map flagMap) {
        Object bFlag = (String) flagMap.get("bFlag");
        Object sFlag = (String) flagMap.get("sFlag");
        Object mFlag = (String) flagMap.get("mFlag");
        Object fFlag = (String) flagMap.get("fFlag");
        Object msFlag = (String) flagMap.get("msFlag");
        Object lFlag = (String) flagMap.get("lFlag");
        Object nFlag = (String) flagMap.get("nFlag");
        Object cFlag = (String) flagMap.get("cFlag");
        HashMap<Object, Object> subMap = new HashMap<>();
        subMap.put("bFlag", bFlag);
        subMap.put("sFlag", sFlag);
        subMap.put("mFlag", mFlag);
        subMap.put("fFlag", fFlag);
        subMap.put("msFlag", msFlag);
        subMap.put("lFlag", lFlag);
        subMap.put("nFlag", nFlag);
        ?? put = subMap.put("cFlag", cFlag);
        try {
            Field[] declaredFields = obj.getClass().getDeclaredFields();
            int i = 0;
            while (true) {
                put = i;
                if (put >= declaredFields.length) {
                    break;
                }
                Field field = declaredFields[i];
                Class type = field.getType();
                put = type;
                if (put == List.class) {
                    try {
                        String listFieldName = field.getName();
                        put = "b2List".equals(listFieldName);
                        if (((put == 0 && !"c2List".equals(listFieldName)) || !"N".equals(bFlag)) && ((!"blist".equals(listFieldName) || !"N".equals(sFlag)) && (((!"nlist".equals(listFieldName) && !"clist".equals(listFieldName) && !"olist".equals(listFieldName) && !"flist".equals(listFieldName) && !"qlist".equals(listFieldName) && !"rlist".equals(listFieldName) && !"slist".equals(listFieldName)) || !"N".equals(mFlag)) && (((!"xdxxList".equals(listFieldName) && !"txxxList".equals(listFieldName) && !"mcList".equals(listFieldName) && !"tlist".equals(listFieldName)) || !"N".equals(fFlag)) && (((!"dyxxList".equals(listFieldName) && !"cfxxList".equals(listFieldName)) || !"N".equals(msFlag)) && (((!"laxxList".equals(listFieldName) && !"jaxxList".equals(listFieldName) && !"sxzxList".equals(listFieldName)) || !"N".equals(lFlag)) && (((!"hlist".equals(listFieldName) && !"ilist".equals(listFieldName) && !"gpdbList".equals(listFieldName) && !"mlist".equals(listFieldName) && !"zlist".equals(listFieldName) && !"k2List".equals(listFieldName) && !"a2List".equals(listFieldName) && !"k3List".equals(listFieldName)) || !"N".equals(nFlag)) && ((!"jlist".equals(listFieldName) && !"klist".equals(listFieldName)) || !"N".equals(cFlag))))))))) {
                            List value = (List) ReflectUtil.getMethod(obj, listFieldName);
                            List maplist = new ArrayList();
                            for (int k = 0; k < value.size(); k++) {
                                HashMap<String, Object> fieldMap = new HashMap<>();
                                Object object = value.get(k);
                                Field[] objFields = object.getClass().getDeclaredFields();
                                for (Field field2 : objFields) {
                                    String name2 = field2.getName();
                                    String fieldValue = String.valueOf(ReflectUtil.getMethod(object, name2));
                                    fieldMap.put(name2, fieldValue);
                                }
                                maplist.add(fieldMap);
                            }
                            subMap.put(listFieldName, maplist);
                        }
                    } catch (NullPointerException unused) {
                        subMap.put("", null);
                    }
                } else {
                    String fName = field.getName();
                    if ((!"d2_corp_name".equals(fName) && !"d2_dom".equals(fName) && !"d2_credit_code".equals(fName) && !"d2_corp_code".equals(fName) && !"d2_ic_num".equals(fName) && !"d2_regcap".equals(fName) && !"d2_legal_per".equals(fName) && !"d2_legal_name".equals(fName) && !"d2_tel".equals(fName) && !"d2_legal_phone".equals(fName) && !"d2_enttype".equals(fName) && !"d2_entstatus".equals(fName) && !"d2_esdate".equals(fName) && !"d2_op".equals(fName) && !"d2_industryco".equals(fName) && !"d2_kjsbrs".equals(fName) && !"d2_opscope".equals(fName) && !"d2_abuitem".equals(fName) && !"d2_cbuitem".equals(fName)) || !"1".equals(bFlag)) {
                        String value2 = String.valueOf(ReflectUtil.getMethod(obj, fName));
                        if ("null".equals(value2)) {
                            subMap.put(fName, "");
                        } else {
                            subMap.put(fName, value2);
                        }
                    }
                }
                i++;
            }
        } catch (SecurityException e) {
            put.printStackTrace();
        } catch (Exception e2) {
            put.printStackTrace();
        }
        return subMap;
    }
}
